Show: Inherited Protected Private Deprecated

# WidgetArrowBox Class

Defined in: `src/ui/react/src/components/base/widget-arrow-box.js:4`

Provides functionality for displaying Widget Arrow box on top or on bottom of the widget depending on the point of user interaction with the editor.

## Index

### Methods

- getArrowBoxClasses

## Methods

### `getArrowBoxClasses`

() String

Defined in `src/ui/react/src/components/base/widget-arrow-box.js:11`

Returns the list of arrow box classes associated to the current element's state. It relies on the getInteractionPoint method to calculate the selection direction.

#### Returns:

String:

A string with the arrow box CSS classes.